Bug 31155 - Document --since option in help of borrowers-force-messaging-defaults.pl
Summary: Document --since option in help of borrowers-force-messaging-defaults.pl
Status: Needs documenting
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-14 14:03 UTC by Caroline Cyr La Rose
Modified: 2022-10-23 09:49 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement adds a brief explanation of the --since option for borrowers-force-messaging-defaults.pl.
Version(s) released in:
22.11.00,22.05.06,21.11.12


Attachments
Bug 31155: Document --since option in help of borrowers-force-messaging-defaults.pl (1.38 KB, patch)
2022-07-14 14:30 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 31155: Document --since option in help of borrowers-force-messaging-defaults.pl (1.44 KB, patch)
2022-08-07 22:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2022-07-14 14:03:35 UTC
The --since option is not documented at all in the script borrowers-force-messaging-defaults.pl.

--since

Will only update borrowers enrolled since the specified date.

Examples:

--since "2022-07-13"
--since `date -d "1 day ago" '+%Y-%m-%d'
Comment 1 Caroline Cyr La Rose 2022-07-14 14:30:25 UTC
Created attachment 137724 [details] [review]
Bug 31155: Document --since option in help of borrowers-force-messaging-defaults.pl

This patch adds a section about the --since option in the help section
of borrowers-force-messaging-defaults.pl

To test:
0) Apply patch
1) run the script with the --help option, e.g.
./misc/maintenance/borrowers-force-messaging-defaults.pl --help
--> There should be an explanation of the --since option with examples
    for specific and relative dates
2) Optionally, run the script with different options
--> The behaviour shouldn't have changed
Comment 2 Caroline Cyr La Rose 2022-07-14 14:35:44 UTC
I copied the syntax from the other options, I hope it's ok. I've never edited .pl before...
Comment 3 Katrin Fischer 2022-08-07 22:07:19 UTC
Created attachment 138763 [details] [review]
Bug 31155: Document --since option in help of borrowers-force-messaging-defaults.pl

This patch adds a section about the --since option in the help section
of borrowers-force-messaging-defaults.pl

To test:
0) Apply patch
1) run the script with the --help option, e.g.
./misc/maintenance/borrowers-force-messaging-defaults.pl --help
--> There should be an explanation of the --since option with examples
    for specific and relative dates
2) Optionally, run the script with different options
--> The behaviour shouldn't have changed

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>



Current patch-complexity: Trivial patch
Comment 4 Katrin Fischer 2022-08-07 22:08:03 UTC
Going straight to PQA for this documentation fix.
Comment 5 Tomás Cohen Arazi 2022-08-08 16:21:05 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 6 Lucas Gass 2022-09-29 17:20:45 UTC
Backported to 22.05.x for 22.05.06
Comment 7 Victor Grousset/tuxayo 2022-10-13 21:58:20 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Maybe docs to update.
Comment 8 Arthur Suzuki 2022-10-22 22:08:45 UTC
Thanks!

Pushed to 21.11 for 21.11.12